using Edu.Common.Plugin;
using System;
using System.Collections.Generic;
using System.Text;

namespace Edu.Common.Enum.Course
{
    /// <summary>
    /// 订单来源枚举
    /// </summary>
    public enum OrderSourceEnum
    {
        /// <summary>
        /// 网络报名
        /// </summary>
        [EnumField("网络报名")]
        Web = 1,
        /// <summary>
        /// 线下发展
        /// </summary>
        [EnumField("线下发展")]
        OffLine = 2,
        /// <summary>
        /// 同行转交
        /// </summary>
        [EnumField("同行转交")]
        Client = 3,
        /// <summary>
        /// 学员介绍
        /// </summary>
        [EnumField("学员介绍")]
        Student = 4,
        /// <summary>
        /// 内部亲属
        /// </summary>
        [EnumField("内部亲属")]
        Internal = 5,
        /// <summary>
        /// 内部员工
        /// </summary>
        [EnumField("内部员工")]
        Employee = 6
    }
}
